import Model, { attr } from '@ember-data/model';

export default class WifiAccesspointAssociateddeviceModel extends Model {
  @attr Active;
  @attr AssociationTime;
  @attr AuthenticationState;
  @attr AvgSignalStrength;
  @attr AvgSignalStrengthByChain;
  @attr Capabilities;
  @attr ChargeableUserId;
  @attr ConnectionDuration;
  @attr DevicePriority;
  @attr DeviceType;
  @attr DisassociationTime;
  @attr DownlinkBandwidth;
  @attr DownlinkMCS;
  @attr DownlinkRateSpec;
  @attr DownlinkShortGuard;
  @attr EncryptionMode;
  @attr FrequencyCapabilities;
  @attr HeCapabilities;
  @attr HtCapabilities;
  @attr Inactive;
  @attr LastDataDownlinkRate;
  @attr LastDataUplinkRate;
  @attr LastStateChange;
  @attr LinkBandwidth;
  @attr MACAddress;
  @attr MUGroupId;
  @attr MUMimoTxPktsCount;
  @attr MUMimoTxPktsPercentage;
  @attr MUUserPositionId;
  @attr MaxBandwidthSupported;
  @attr MaxDownlinkRateReached;
  @attr MaxDownlinkRateSupported;
  @attr MaxRxSpatialStreamsSupported;
  @attr MaxTxSpatialStreamsSupported;
  @attr MaxUplinkRateReached;
  @attr MaxUplinkRateSupported;
  @attr Noise;
  @attr OperatingStandard;
  @attr PowerSave;
  @attr Retransmissions;
  @attr RrmCapabilities;
  @attr RrmOffChannelMaxDuration;
  @attr RrmOnChannelMaxDuration;
  @attr RxBytes;
  @attr RxMulticastPacketCount;
  @attr RxPacketCount;
  @attr RxUnicastPacketCount;
  @attr Rx_Retransmissions;
  @attr Rx_RetransmissionsFailed;
  @attr SecurityModeEnabled;
  @attr SignalNoiseRatio;
  @attr SignalStrength;
  @attr SignalStrengthByChain;
  @attr SignalStrengthHistory;
  @attr SupportedHe160MCS;
  @attr SupportedHeMCS;
  @attr SupportedMCS;
  @attr SupportedVhtMCS;
  @attr TxBytes;
  @attr TxErrors;
  @attr TxMulticastPacketCount;
  @attr TxPacketCount;
  @attr TxUnicastPacketCount;
  @attr Tx_Retransmissions;
  @attr Tx_RetransmissionsFailed;
  @attr UNIIBandsCapabilities;
  @attr UplinkBandwidth;
  @attr UplinkMCS;
  @attr UplinkRateSpec;
  @attr UplinkShortGuard;
  @attr VendorOUI;
  @attr VhtCapabilities;
}
